# Class VectorMutable3D

java.lang.Object
com.io7m.jtensors.storage.heap.VectorMutable3D

All Implemented Interfaces:
  `VectorReadable2DType, VectorReadable3DType, VectorStorageFloating2Type, VectorStorageFloating3Type, VectorStorageType`

public final class VectorMutable3D extends Object implements VectorStorageFloating3Type
A heap-based vector.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VectorMutable3D()`
  Create a new vector.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `void`
  `setX(double in_x)`
  Set the `x` component.
  `void`
  `setY(double in_y)`
  Set the `Y` component.
  `void`
  `setZ(double in_z)`
  Set the `z` component.
  `String`
  `toString()`
  `double`
  `x()`
  `double`
  `y()`
  `double`
  `z()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface VectorStorageFloating2Type

  `setVector2D, setVector2F, setXY`

  ### Methods inherited from interface VectorStorageFloating3Type

  `setVector3D, setVector3F, setXYZ`

- ## Constructor Details

  - ### VectorMutable3D

    public VectorMutable3D()
    Create a new vector.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### x

    public double x()
    Specified by:
      `x` in interface `VectorReadable2DType`
    Returns:
      The `x` component

  - ### y

    public double y()
    Specified by:
      `y` in interface `VectorReadable2DType`
    Returns:
      The `y` component

  - ### z

    public double z()
    Specified by:
      `z` in interface `VectorReadable3DType`
    Returns:
      The `z` component

  - ### setZ

    public void setZ(double in_z)
    Description copied from interface: `VectorStorageFloating3Type`
    Set the `z` component.
    Specified by:
      `setZ` in interface `VectorStorageFloating3Type`
    Parameters:
      `in_z` - The Z component

  - ### setX

    public void setX(double in_x)
    Description copied from interface: `VectorStorageFloating2Type`
    Set the `x` component.
    Specified by:
      `setX` in interface `VectorStorageFloating2Type`
    Parameters:
      `in_x` - The X component

  - ### setY

    public void setY(double in_y)
    Description copied from interface: `VectorStorageFloating2Type`
    Set the `Y` component.
    Specified by:
      `setY` in interface `VectorStorageFloating2Type`
    Parameters:
      `in_y` - The Y component